   
   document.addEventListener('DOMContentLoaded', function(event)
   {
      var elementwelcome_carousel = document.querySelector('#welcome-carousel');
      elementwelcome_carousel.addEventListener('slid.bs.carousel', function(e)
      {
         switch(e.to)
         {
            case 0:
               AnimateCss('wb_welcome-text1', 'slide-left-in', 300, 1000);
               AnimateCss('wb_welcome-text2', 'slide-right-in', 1000, 1000);
               AnimateCss('welcome-button1', 'swash-in', 2000, 1000);
               break;
         }
      });
      var welcome_carousel = new bootstrap.Carousel('#welcome-carousel', {interval: 6000, pause: false});
      var Carousel2 = new bootstrap.Carousel('#Carousel2', {interval: 3000, pause: false});
   });
      
   $(document).ready(function()
   {
      $('#port1kurumsal').addClass('visibility-hidden');
      $('#wb_12').addClass('visibility-hidden');
      $('#wb_13').addClass('visibility-hidden');
      $('#wb_cizgi').addClass('visibility-hidden');
      $('#kurumsalbuton').addClass('visibility-hidden');
      $("a[href*='#mobilmenu']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_mobilmenu').offset().top }, 600, 'easeInSine');
      });
      $("a[href*='#header']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_header').offset().top }, 600, 'easeOutCirc');
      });
      $("a[href*='#intro']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#intro').offset().top }, 600, 'easeOutQuad');
      });
      $("a[href*='#infoblock2']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_infoblock2').offset().top-68 }, 600, 'easeOutCirc');
      });
      function onScrollinfoBlockBookmark2()
      {
         var $obj = $("#wb_infoBlockBookmark2");
         if (!$obj.hasClass("in-viewport") && $obj.inViewPort(false))
         {
            $obj.addClass("in-viewport");
            AnimateCss('port1kurumsal', 'animate-fade-in-right', 0, 1500);
         }
      }
      onScrollinfoBlockBookmark2();
      $(window).scroll(function(event)
      {
         onScrollinfoBlockBookmark2();
      });
      $("a[href*='#Bookmark1']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_Bookmark1').offset().top }, 600, 'linear');
      });
      function onScrollBookmark1()
      {
         var $obj = $("#wb_Bookmark1");
         if (!$obj.hasClass("in-viewport") && $obj.inViewPort(false))
         {
            $obj.addClass("in-viewport");
            AnimateCss('wb_12', 'animate-fade-in-left', 0, 1500);
            AnimateCss('wb_13', 'animate-fade-in-left', 0, 1500);
            AnimateCss('wb_cizgi', 'animate-fade-in-right', 0, 1500);
            AnimateCss('kurumsalbuton', 'animate-fade-in', 0, 1500);
         }
      }
      onScrollBookmark1();
      $(window).scroll(function(event)
      {
         onScrollBookmark1();
      });
      function aspectRatioport1kurumsal()
      {
         var $obj = $("#port1kurumsal");
         var height = $obj.width() / 1.51;
         if (height == 0)
         {
            setTimeout(function(){ aspectRatioport1kurumsal() }, 250);
         }
         else
         {
            $obj.css('height', height + 'px');
         }
      }
      $(window).resize(function()
      {
         aspectRatioport1kurumsal();
      });
      aspectRatioport1kurumsal();
      $("a[href*='#LayoutGrid3']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_LayoutGrid3').offset().top-68 }, 600, 'easeOutQuad');
      });
      $("a[href*='#favorites']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_favorites').offset().top }, 600, 'easeOutCirc');
      });
      $("a[href*='#links']").click(function(event)
      {
         event.preventDefault();
         $('html, body').stop().animate({ scrollTop: $('#wb_links').offset().top-8 }, 600, 'easeOutCirc');
      });
      function skrollrInit()
      {
         skrollr.init({forceHeight: false, mobileCheck: function() { return false; }, smoothScrolling: false});
      }
      skrollrInit();
   function countUpJavaScript1()
   {
      var $obj = $('#JavaScript1');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript1();
   });
   countUpJavaScript1();
   function countUpJavaScript2()
   {
      var $obj = $('#JavaScript2');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript2();
   });
   countUpJavaScript2();
   function countUpJavaScript3()
   {
      var $obj = $('#JavaScript3');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript3();
   });
   countUpJavaScript3();
   function countUpJavaScript4()
   {
      var $obj = $('#JavaScript4');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 10000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript4();
   });
   countUpJavaScript4();
   function countUpJavaScript5()
   {
      var $obj = $('#JavaScript5');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript5();
   });
   countUpJavaScript5();
   function countUpJavaScript6()
   {
      var $obj = $('#JavaScript6');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript6();
   });
   countUpJavaScript6();
   function countUpJavaScript7()
   {
      var $obj = $('#JavaScript7');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 4000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript7();
   });
   countUpJavaScript7();
   function countUpJavaScript8()
   {
      var $obj = $('#JavaScript8');
      var count = $obj.attr('data-count');
      var bottomObj = $obj.offset().top + $obj.outerHeight();
      var bottomWnd = $(window).scrollTop() + $(window).height();
      if (bottomWnd > bottomObj && count != 0)
      {
         $({countUp: $obj.text()}).animate({countUp: count},
         {
            duration: 10000,
            step: function() { $obj.text(Math.floor(this.countUp)); },
            complete: function() { $obj.text(this.countUp); $obj.attr('data-count', 0); }
         });  
      }
   }
   $(window).scroll( function()
   {
      countUpJavaScript8();
   });
   countUpJavaScript8();
      $("#PanelLayer").panel({animate: true, animationDuration: 500, animationEasing: 'linear', dismissible: false, display: 'push', position: 'left'});
      $('.OverlayMenu2 .item-has-children').children('a').on('click', function(event)
      {
         event.preventDefault();
         $(this).toggleClass('submenu-open').next('.sub-menu').slideToggle(0,'linear').end().parent('.item-has-children').siblings('.item-has-children').children('a').removeClass('submenu-open').next('.sub-menu').slideUp(0,'linear');
      });
      $(window).on('resize', function()
      {
         ResponsiveVideo('intro-video');
      });
      ResponsiveVideo('intro-video');
   });
      
   $(document).ready(function()
   {
      // move arrow outside the layer container
      $('#wb_down-arrow').appendTo('#intro');
   });
      
   $(document).ready(function()
   {
     $('#wb_Carousel2').owlCarousel( { margin: 10, stagePadding: 10, autoplay: true, rewind: true, dotsEach: true, responsive : { 0: { items : 1 }, 600: { items : 3}, 768: { items : 4}, 970: { items : 5}}});
   });
   